BadAttributeValueExpException (Java SE 17 & JDK 17)
Description: declaration: module: java.management, package: javax.management, class: BadAttributeValueExpException
Keywords: javax.management.BadAttributeValueExpException class

Module java.management
Package javax.management

# Class BadAttributeValueExpException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.management.BadAttributeValueExpException

All Implemented Interfaces:
  `Serializable`

public class BadAttributeValueExpException extends Exception
Thrown when an invalid MBean attribute is passed to a query constructing method. This exception is used internally by JMX during the evaluation of a query. User code does not usually see it.

Since:
  1.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BadAttributeValueExpException(Object val)`
  Constructs a BadAttributeValueExpException using the specified Object to create the toString() value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  Returns the string representing the object.

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BadAttributeValueExpException

    public BadAttributeValueExpException(Object val)
    Constructs a BadAttributeValueExpException using the specified Object to create the toString() value.
    Parameters:
      `val` - the inappropriate value.

- ## Method Details

  - ### toString

    public String toString()
    Returns the string representing the object.
    Overrides:
      `toString` in class `Throwable`
    Returns:
      a string representation of this throwable.